Name: gtk2-ssh-askpass
Version: 3.6.1p1
Release: alt1.1

Packager: Dmitry V. Levin <ldv@altlinux.org>

Summary: A Gtk2-based passphrase dialog for use with OpenSSH
License: BSD
Group: Networking/Remote access
Url: http://www.openssh.com/

Source: %name.c

%define openssh_askpass_dir /usr/lib/openssh

PreReq: alternatives >= 0.0.6 , %openssh_askpass_dir
Requires: openssh-askpass-common
Provides: %openssh_askpass_dir/ssh-askpass
Provides: openssh-askpass-gtk2 = %version-%release
Provides: openssh-askpass-gnome = %version-%release
Obsoletes: openssh-askpass-gnome

# Automatically added by buildreq on Mon May 05 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 glib2-devel libXft libalternatives-devel libatk-devel libexpat libgtk+2-devel libpango-devel pkgconfig

%description
This is a Gtk2-based passphrase dialog for use with OpenSSH.
These dialogs are intended to be called from the ssh-add program and
not invoked directly.

There is only two run-time options: if you set the environment variable
"GNOME_SSH_ASKPASS_GRAB_SERVER=true" then %name will grab
the X server.  If you set "GNOME_SSH_ASKPASS_GRAB_POINTER=true", then the 
pointer will be grabbed too.  These may have some benefit to security if 
you don't trust your X server.  We grab the keyboard always.

%prep
%setup -qcT

%build
gcc $RPM_OPT_FLAGS `pkg-config --cflags gtk+-2.0` \
	%SOURCE0 `pkg-config --libs gtk+-2.0` -o %name

%install
%__install -pD -m755 %name $RPM_BUILD_ROOT%openssh_askpass_dir/%name

install -d $RPM_BUILD_ROOT%_altdir
cat <<EOF >$RPM_BUILD_ROOT%_altdir/%name
<group name="candidate">
    <option name="link">%openssh_askpass_dir/ssh-askpass</option>
    <option name="real">%openssh_askpass_dir/%name</option>
    <option name="weight" type="number">10</option>
</group>
EOF

%post
%register_alternatives %name -- ssh-askpass

%preun
%unregister_alternatives %name

%triggerpostun -- openssh-askpass-gnome
%register_alternatives %name -- ssh-askpass

%files
%_altdir/%name
%openssh_askpass_dir/%name

%changelog
* Mon May 05 2003 Stanislav Ievlev <inger@altlinux.ru> 3.6.1p1-alt1.1
- moved to new alternatives scheme

* Sat Apr 12 2003 Dmitry V. Levin <ldv@altlinux.org> 3.6.1p1-alt1
- Updated to 3.6.1p1.

* Sat Feb 22 2003 Dmitry V. Levin <ldv@altlinux.org> 3.5p1-alt1
- Initial revision as separate package.
